package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 5S管理对象 t_wsgl
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TWsgl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** MACHINE/AREA */
    @Excel(name = "MACHINE/AREA")
    private String macharea;

    /** 编号 */
    @Excel(name = "编号")
    private String wsno;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 班值 */
    @Excel(name = "班值", dictType = "ACCIDENT_TEAM")
    private String team;
    private String teams;
    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 一月 */
    @Excel(name = "一月")
    private Long jan;

    /** 二月 */
    @Excel(name = "二月")
    private Long feb;

    /** 三月 */
    @Excel(name = "三月")
    private Long mar;

    /** 四月 */
    @Excel(name = "四月")
    private Long apr;

    /** 五月 */
    @Excel(name = "五月")
    private Long may;

    /** 六月 */
    @Excel(name = "六月")
    private Long jun;

    /** 七月 */
    @Excel(name = "七月")
    private Long jul;

    /** 八月 */
    @Excel(name = "八月")
    private Long aug;

    /** 九月 */
    @Excel(name = "九月")
    private Long sep;

    /** 十月 */
    @Excel(name = "十月")
    private Long oct;

    /** 十一月 */
    @Excel(name = "十一月")
    private Long nov;

    /** 十二月 */
    @Excel(name = "十二月")
    private Long dec;

    /** 排名 */
    @Excel(name = "排名")
    private String average;

    /** 1：MACHINE 2：AREA */
    @Excel(name = "ITEM", dictType = "WSGL_ITEM")
    private Long item;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 排序顺序 */
    private String order;

    public String getTeams() {
        return teams;
    }

    public void setTeams(String teams) {
        this.teams = teams;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMacharea(String macharea)
    {
        this.macharea = macharea;
    }

    public String getMacharea()
    {
        return macharea;
    }
    public void setWsno(String wsno)
    {
        this.wsno = wsno;
    }

    public String getWsno()
    {
        return wsno;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setJan(Long jan)
    {
        this.jan = jan;
    }

    public Long getJan()
    {
        return jan;
    }
    public void setFeb(Long feb)
    {
        this.feb = feb;
    }

    public Long getFeb()
    {
        return feb;
    }
    public void setMar(Long mar)
    {
        this.mar = mar;
    }

    public Long getMar()
    {
        return mar;
    }
    public void setApr(Long apr)
    {
        this.apr = apr;
    }

    public Long getApr()
    {
        return apr;
    }
    public void setMay(Long may)
    {
        this.may = may;
    }

    public Long getMay()
    {
        return may;
    }
    public void setJun(Long jun)
    {
        this.jun = jun;
    }

    public Long getJun()
    {
        return jun;
    }
    public void setJul(Long jul)
    {
        this.jul = jul;
    }

    public Long getJul()
    {
        return jul;
    }
    public void setAug(Long aug)
    {
        this.aug = aug;
    }

    public Long getAug()
    {
        return aug;
    }
    public void setSep(Long sep)
    {
        this.sep = sep;
    }

    public Long getSep()
    {
        return sep;
    }
    public void setOct(Long oct)
    {
        this.oct = oct;
    }

    public Long getOct()
    {
        return oct;
    }
    public void setNov(Long nov)
    {
        this.nov = nov;
    }

    public Long getNov()
    {
        return nov;
    }
    public void setDec(Long dec)
    {
        this.dec = dec;
    }

    public Long getDec()
    {
        return dec;
    }
    public void setAverage(String average)
    {
        this.average = average;
    }

    public String getAverage()
    {
        return average;
    }
    public void setItem(Long item)
    {
        this.item = item;
    }

    public Long getItem()
    {
        return item;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setOrder(String order)
    {
        this.order = order;
    }

    public String getOrder()
    {
        return order;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("macharea", getMacharea())
                .append("wsno", getWsno())
                .append("owner", getOwner())
                .append("year", getYear())
                .append("jan", getJan())
                .append("feb", getFeb())
                .append("mar", getMar())
                .append("apr", getApr())
                .append("may", getMay())
                .append("jun", getJun())
                .append("jul", getJul())
                .append("aug", getAug())
                .append("sep", getSep())
                .append("oct", getOct())
                .append("nov", getNov())
                .append("dec", getDec())
                .append("average", getAverage())
                .append("item", getItem())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("team", getTeam())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("order", getOrder())
                .toString();
    }
}
